<div class="language-settings-container">
  <button
    mat-button
    [matMenuTriggerFor]="languageMenu"
    class="light-icon-button"
  >
    <mat-icon>language</mat-icon>&nbsp;
    <span>{{ selectedLanguage.abbreviation | uppercase }}</span>
  </button>

  <mat-menu #languageMenu="matMenu" yPosition="below">
    <button
      mat-menu-item
      *ngFor="let language of listOfSupportedLanguages"
      (click)="changeLanguage(language.abbreviation)"
    >
      {{ language.fullName }}
    </button>
  </mat-menu>
</div>
